package com.qmth.distributed.print.business.bean.marking;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 评卷员信息
 * @Author: CaoZixuan
 * @Date: 2022-04-13
 */
public class Marker {
    @ApiModelProperty(value = "评卷员id")
    @JsonSerialize(using = ToStringSerializer.class)
    private String id;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("账号")
    private String loginName;

    @ApiModelProperty("显示名称")
    private String label;

    @ApiModelProperty("所属机构")
    private String orgName;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
